Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79595 - neat crashes on selection of Ethernet
Summary: neat crashes on selection of Ethernet
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 7.3
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-13 19:19 UTC by Nathan G. Grennan
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-23 20:52:17 UTC


Attachments (Terms of Use)

Description Nathan G. Grennan 2002-12-13 19:19:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20021204

Description of problem:
Below is the traceback after running neat-tui, hitting tab, and hitting enter on
the configure button.


Traceback (innermost last):
File "/usr/sbin/neat-tui", line 398, in ?                                       
mainScreen(screen)                     
"/usr/sbin/neat-tui", line 57, in mainScreen

  nw.runIt()
              File "/usr/sbin/neat-tui", line 170, in runIt
                                                              
self.setState(self.eth)
                                                                               
        File "/usr/sbin/neat-tui", line 110, in setState
  <Tab>/<Alt-Tab> between elements         if
(string.lower(eth.BootProto)=="dhcp") or (string.lower(eth.BootProto)=="bootp"):
                               TypeError: read-only character buffer, None

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. up2date -i redhat-config-network
2. neat-tui
3. Hit tab
4. Hit enter
    

Actual Results:  Crash and Traceback

Expected Results:  ncurses display to control ethernet devices

Additional info:

Comment 1 Harald Hoyer 2003-01-09 13:45:54 UTC
could you please redirect the error output?

# netconf-tui 2>err.out

and paste err.out in here?

thx

Comment 2 Nathan G. Grennan 2003-01-09 18:21:35 UTC
neat-tui 2>err.out

Traceback (innermost last):
  File "/usr/sbin/neat-tui", line 398, in ?
    mainScreen(screen)
  File "/usr/sbin/neat-tui", line 57, in mainScreen
    nw.runIt()
  File "/usr/sbin/neat-tui", line 170, in runIt
    self.setState(self.eth)
  File "/usr/sbin/neat-tui", line 110, in setState
    if (string.lower(eth.BootProto)=="dhcp") or
(string.lower(eth.BootProto)=="bootp"):
TypeError: read-only character buffer, None

Comment 3 Nathan G. Grennan 2003-01-23 20:52:17 UTC
Seems to work in Phoebe2


Note You need to log in before you can comment on or make changes to this bug.